package models

import "github.com/uptrace/bun"

type Calendar struct {
	bun.BaseModel `bun:"table:calendar"`
	Id            int    `json:"id" bun:"id,pk,autoincrement"`
	Name          string `json:"name"`
	Url           string `json:"url"`
	IsPublic      bool   `json:"is_public"`
}

/*
type CalendarUrl struct {
	Url      string `json:"url"`
	CanWrite bool   `json:"can_write"`
}
*/
